將第三方原始碼管理機制連結至 Google
- REST 資源:v1.projects.locations
- REST 資源:v1.projects.locations.accountConnectors
- REST 資源:v1.projects.locations.accountConnectors.users
- REST 資源:v1.projects.locations.connections
- REST 資源:v1.projects.locations.connections.gitRepositoryLinks
- REST 資源:v1.projects.locations.insightsConfigs
- REST 資源:v1.projects.locations.insightsConfigs.deploymentEvents
- REST 資源:v1.projects.locations.operations
服務:developerconnect.googleapis.com
如要呼叫這項服務,建議您使用 Google 提供的用戶端程式庫。如果您的應用程式需要使用自己的程式庫呼叫這項服務,請在發出 API 要求時使用下列資訊。
導覽文件
導覽文件是一種機器可讀的規格,用於說明和使用 REST API。此文件會用於建構用戶端程式庫、IDE 外掛程式,以及與 Google API 互動的其他工具。一項服務可能會提供多個導覽文件,這項服務提供下列導覽文件:
服務端點
服務端點是能指定 API 服務網路位址的基準網址。一項服務可能有多個服務端點,而這項服務有下列服務端點,以及和該服務端點相關的所有 URI:
https://developerconnect.googleapis.com
REST 資源:v1.projects.locations
| 方法 | |
|---|---|
get |
GET /v1/{name=projects/*/locations/*} 取得位置的相關資訊。 |
list |
GET /v1/{name=projects/*}/locations 列出這項服務支援位置的相關資訊。 |
REST 資源:v1.projects.locations.accountConnectors
| 方法 | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/accountConnectors 在指定專案和位置建立新的 AccountConnector。 |
delete |
DELETE /v1/{name=projects/*/locations/*/accountConnectors/*} 刪除單一 AccountConnector。 |
get |
GET /v1/{name=projects/*/locations/*/accountConnectors/*} 取得單一 AccountConnector 的詳細資料。 |
list |
GET /v1/{parent=projects/*/locations/*}/accountConnectors 列出指定專案和位置中的 AccountConnector。 |
patch |
PATCH /v1/{accountConnector.name=projects/*/locations/*/accountConnectors/*} 更新單一 AccountConnector 的參數。 |
REST 資源:v1.projects.locations.accountConnectors.users
| 方法 | |
|---|---|
delete |
DELETE /v1/{name=projects/*/locations/*/accountConnectors/*/users/*} 刪除單一使用者。 |
deleteSelf |
DELETE /v1/{name=projects/*/locations/*/accountConnectors/*}/users:deleteSelf 根據使用者憑證刪除使用者。 |
fetchAccessToken |
POST /v1/{accountConnector=projects/*/locations/*/accountConnectors/*}/users:fetchAccessToken 根據使用者憑證擷取 OAuth 存取權杖。 |
fetchSelf |
GET /v1/{name=projects/*/locations/*/accountConnectors/*}/users:fetchSelf 根據使用者憑證擷取使用者。 |
finishOAuthFlow |
GET /v1/{accountConnector=projects/*/locations/*/accountConnectors/*}/users:finishOAuthFlow 完成帳戶連接器的 OAuth 流程。 |
list |
GET /v1/{parent=projects/*/locations/*/accountConnectors/*}/users 列出指定專案、位置和 account_connector 中的使用者。 |
startOAuthFlow |
GET /v1/{accountConnector=projects/*/locations/*/accountConnectors/*}/users:startOAuthFlow 啟動帳戶連接器的 OAuth 流程。 |
REST 資源:v1.projects.locations.connections
| 方法 | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/connections 在指定專案和位置建立新的連線。 |
delete |
DELETE /v1/{name=projects/*/locations/*/connections/*} 刪除單一連線。 |
fetchGitHubInstallations |
GET /v1/{connection=projects/*/locations/*/connections/*}:fetchGitHubInstallations FetchGitHubInstallations 會傳回可新增至連線的 GitHub 安裝項目清單。 |
fetchLinkableGitRepositories |
GET /v1/{connection=projects/*/locations/*/connections/*}:fetchLinkableGitRepositories FetchLinkableGitRepositories 會從 SCM 傳回可新增至連線的 Git 存放區清單。 |
get |
GET /v1/{name=projects/*/locations/*/connections/*} 取得單一連線的詳細資料。 |
list |
GET /v1/{parent=projects/*/locations/*}/connections 列出指定專案和位置中的連線。 |
patch |
PATCH /v1/{connection.name=projects/*/locations/*/connections/*} 更新單一連線的參數。 |
processGitHubEnterpriseWebhook |
POST /v1/{parent=projects/*/locations/*}/connections:processGitHubEnterpriseWebhook 外部 GitHub Enterprise 執行個體會呼叫 ProcessGitHubEnterpriseWebhook,以便通知事件。 |
REST 資源:v1.projects.locations.connections.gitRepositoryLinks
| 方法 | |
|---|---|
addPullRequestComment |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:addPullRequestComment 在提取要求中新增註解。 |
addPullRequestReviewComment |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:addPullRequestReviewComment 在提取要求中新增審查留言 (在差異比較中內嵌)。 |
create |
POST /v1/{parent=projects/*/locations/*/connections/*}/gitRepositoryLinks 建立 GitRepositoryLink。 |
delete |
DELETE /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*} 刪除單一 GitRepositoryLink。 |
diffCommit |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:diffCommit GitRepositoryLink 的差異修訂版本。 |
fetchCommit |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchCommit 從 Git 存放區連結擷取修訂版本詳細資料。 |
fetchCommitList |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchCommitList 從 Git 存放區連結擷取修訂版本清單。 |
fetchFileBlame |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchFileBlame 擷取檔案或檔案中行範圍的歸責資訊。 |
fetchGitRefs |
GET /v1/{gitRepositoryLink=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchGitRefs 擷取特定存放區的分支版本或標記清單。 |
fetchPullRequest |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchPullRequest 從 Git 存放區連結擷取提取要求詳細資料。 |
fetchPullRequestList |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchPullRequestList 從遠端存放區擷取提取要求清單。 |
fetchReadToken |
POST /v1/{gitRepositoryLink=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchReadToken 擷取指定 gitRepositoryLink 的讀取權杖。 |
fetchReadWriteToken |
POST /v1/{gitRepositoryLink=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchReadWriteToken 擷取指定 gitRepositoryLink 的讀取/寫入權杖。 |
get |
GET /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*} 取得單一 GitRepositoryLink 的詳細資料。 |
list |
GET /v1/{parent=projects/*/locations/*/connections/*}/gitRepositoryLinks 列出指定專案、位置和連線中的 GitRepositoryLink。 |
modifyPullRequest |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:modifyPullRequest 修改與 GitRepositoryLink 相關聯的遠端 SCM 存放區中的提取要求。 |
openPullRequest |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:openPullRequest 在與 GitRepositoryLink 相關聯的遠端 SCM 存放區中開啟提取要求。 |
processBitbucketCloudWebhook |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:processBitbucketCloudWebhook 外部 Bitbucket Cloud 執行個體會呼叫 ProcessBitbucketCloudWebhook,以便通知事件。 |
processBitbucketDataCenterWebhook |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:processBitbucketDataCenterWebhook 外部 Bitbucket 資料中心 執行個體會呼叫 ProcessBitbucketDataCenterWebhook,通知事件。 |
processGitLabEnterpriseWebhook |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:processGitLabEnterpriseWebhook 外部 GitLab Enterprise 執行個體會呼叫 ProcessGitLabEnterpriseWebhook,以便通知事件。 |
processGitLabWebhook |
POST /v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:processGitLabWebhook GitLab.com 會呼叫 ProcessGitLabWebhook 來通知事件。 |
REST 資源:v1.projects.locations.insightsConfigs
| 方法 | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/insightsConfigs 在指定專案和位置建立新的 InsightsConfig。 |
delete |
DELETE /v1/{name=projects/*/locations/*/insightsConfigs/*} 刪除單一洞察。 |
get |
GET /v1/{name=projects/*/locations/*/insightsConfigs/*} 取得單一洞察的詳細資料。 |
list |
GET /v1/{parent=projects/*/locations/*}/insightsConfigs 列出指定專案和位置中的 InsightsConfig。 |
patch |
PATCH /v1/{insightsConfig.name=projects/*/locations/*/insightsConfigs/*} 更新單一 InsightsConfig 的參數。 |
REST 資源:v1.projects.locations.insightsConfigs.deploymentEvents
| 方法 | |
|---|---|
get |
GET /v1/{name=projects/*/locations/*/insightsConfigs/*/deploymentEvents/*} 取得單一部署事件。 |
list |
GET /v1/{parent=projects/*/locations/*/insightsConfigs/*}/deploymentEvents 列出指定洞察資料設定中的部署事件。 |
REST 資源:v1.projects.locations.operations
| 方法 | |
|---|---|
cancel |
POST /v1/{name=projects/*/locations/*/operations/*}:cancel 開始非同步取消長時間執行的作業。 |
delete |
DELETE /v1/{name=projects/*/locations/*/operations/*} 刪除長時間執行的作業。 |
get |
GET /v1/{name=projects/*/locations/*/operations/*} 取得長時間執行的作業的最新狀態。 |
list |
GET /v1/{name=projects/*/locations/*}/operations 列出符合要求中指定篩選器的作業。 |